package com.ho.business.service.impl;

import com.ho.business.entity.StationRemoteControl;
import com.ho.business.mapper.StationRemoteControlMapper;
import com.ho.business.service.StationRemoteControlService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class StationRemoteControlServiceImpl implements StationRemoteControlService {

    @Autowired
    StationRemoteControlMapper stationRemoteControlMapper;

    @Override
    public void insert(StationRemoteControl entity) {
         stationRemoteControlMapper.insert(entity);
    }

    @Override
    public void update(StationRemoteControl entity) {
        stationRemoteControlMapper.update(entity);
    }

    @Override
    public void delete(Integer id) {
        stationRemoteControlMapper.delete(id);
    }

    @Override
    public StationRemoteControl search(Integer stationId) {
        return stationRemoteControlMapper.search(stationId);
    }
}
